﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TimeSpanEdit_124227
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            timespanedit.Loaded += Timespanedit_Loaded;
            
        }
        TextBox textbox = null;
        private void Timespanedit_Loaded(object sender, RoutedEventArgs e)
        {
            ScrollViewer textbox = timespanedit.Template.FindName("PART_ContentHost", timespanedit) as ScrollViewer;
            if(textbox != null)
                textbox.PreviewKeyDown += Textbox_PreviewKeyDown;
            
        }

        private void Textbox_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Up)
            {
                timespanedit.Value += new TimeSpan(0, 15, 0);
                e.Handled = true;
            }

            else if (e.Key == Key.Down)
            {
                timespanedit.Value -= new TimeSpan(0, 15, 0);
                e.Handled = true;
            }
        }
    }
}
